/*
		    TTTTTTT    OOOOO    7777777
		       T      O     O        7
		       T      O     O       7
		       T      O     O      7
		       T      O     O     7
		       T       OOOOO     7

			     EMULATEUR

			  Par Sylvain HUET
		(sylvain.huet@polytechnique.org)
				  1994-2002

  video.h : header gestion video

*/

/*-----------------------------------------*/
/* crayon optique                          */
/*-----------------------------------------*/
void updatecray(int x,int y);
void updatecraypoint(int state);

/*-----------------------------------------*/
/* clavier                                 */
/*-----------------------------------------*/
int newkeydown(int key);
int newkeyup(int key);

/*-----------------------------------------*/
/* k7                                      */
/*-----------------------------------------*/
extern FILE *fk7;
void newcass(char *c);
void avanck7(long k);
int getk7(FILE *f);

/*-----------------------------------------*/
/* display                                 */
/*-----------------------------------------*/
extern int pixelsize;
void initoffpixel(int i);
void clrbufchar();
void setbufchar();
int nextyfrombufchar(int x,int y);
int fillfrombufchar(int x,int y);
void affcur(long k);
void forcetour();
int gettour();
void resettour();

/*-----------------------------------------*/
/* accs mmoire to7                       */
/*-----------------------------------------*/
long loads(long k);
long loadl(long k);
int stocs(long k,long val);
int stocl(long k,long val);

/*-----------------------------------------*/
/* peripheriques                           */
/*-----------------------------------------*/
void iniperiph();
int resetperiph();
int resetpia();






